<?php

namespace App\Http\Middleware;

use App\Http\Result\ApiRst;
use Closure;


use Illuminate\Support\Facades\Cache;
use Tymon\JWTAuth\Facades\JWTAuth;
use Tymon\JWTAuth\Exceptions\JWTException;
use Tymon\JWTAuth\Exceptions\TokenExpiredException;
use Tymon\JWTAuth\Exceptions\TokenInvalidException;

class checkUserLogin
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {

        $target_val = Cache::get(auth()->user()->getAuthIdentifier());// 缓存的token编号

        $jti = auth()->payload()->get('jti');
//        dd(JWTAuth::parseToken()->authenticate());

        if($target_val != $jti){
            return response()->json(array('status' => 601, 'msg' => '认证失败'));
        }

        return $next($request);


    }
}
